import Form from './form.js';
import { ButtonOptions } from './interfaces.js';
export declare class Button {
    options: ButtonOptions;
    containerElement: HTMLElement | null;
    buttonElement: HTMLElement | null;
    private _id;
    private _parent;
    private _form;
    private _isMounted;
    private _isVisible;
    private _type;
    constructor(parent: HTMLElement, form: Form, options: ButtonOptions);
    initializeOptions(options: ButtonOptions): void;
    initialize(): Promise<void>;
    getId(): string;
    getContainer(): HTMLElement | null;
    getType(): string;
    getButtonType(): string;
    getVisibility(): boolean;
    createContainerElement(): void;
    createButtonElement(): void;
    onGui(): void;
    private mount;
    private unmount;
    destroy(): void;
    handleVisibility(): void;
    onClick(event: MouseEvent): void;
    reset(): Promise<void>;
    update(): Promise<void>;
    private updateVisibilityBasedOnConditions;
}
