"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColorField = void 0;
const field_js_1 = require("../field.js");
class ColorField extends field_js_1.Field {
    constructor(parent, form, options) {
        super(parent, form, options);
        this.options = {
            id: '',
            type: 'color',
            required: false,
            validation: (value, data, required) => {
                if (required && !value)
                    return 'This field is required';
                return true;
            },
            default: null,
            className: 'form-input-color',
        };
        this.initializeOptions(options);
        this.onGui();
        this.initialize();
    }
    bindChange() {
        if (this.inputElement)
            this.inputElement.addEventListener('change', (event) => {
                this.change(event);
            });
    }
}
exports.ColorField = ColorField;
