"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberField = void 0;
const field_js_1 = require("../field.js");
class NumberField extends field_js_1.Field {
    constructor(parent, form, options) {
        super(parent, form, options);
        this.options = {
            id: '',
            type: 'number',
            required: false,
            validation: (value, data, required) => {
                if (required && !value)
                    return 'This field is required';
                return true;
            },
            default: null,
            className: 'form-input',
        };
        this.initializeOptions(options);
        this.onGui();
        this.initialize();
        this.bindMinMax();
    }
    initialize() {
        return __awaiter(this, void 0, void 0, function* () {
            this.load();
            this.update();
            this.bindMinMax();
            this.bindChange();
        });
    }
    bindMinMax() {
        if (this.inputElement) {
            if (this.options.min)
                this.inputElement.setAttribute('min', String(this.options.min));
            if (this.options.max)
                this.inputElement.setAttribute('max', String(this.options.max));
            if (this.options.step)
                this.inputElement.setAttribute('step', String(this.options.step));
        }
    }
}
exports.NumberField = NumberField;
