"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.costructorTypes = exports.groups = exports.buttons = exports.fields = exports.Field = exports.generateFieldSaveKey = exports.useLicensedFetures = exports.extractFieldsFromSchema = exports.unmountElement = exports.mountElement = exports.setLicenseKey = exports.Button = exports.usePlugin = void 0;
const radioField_1 = require("./fields/radioField");
const datetimeField_1 = require("./fields/datetimeField");
const button_1 = require("./button");
const constants_1 = require("./constants");
const fields_1 = require("./fields");
const group_1 = require("./group");
(0, constants_1.registerConstructor)('group', group_1.Group, constants_1.costructorTypes.group);
(0, constants_1.registerConstructor)('button', button_1.Button, constants_1.costructorTypes.button);
(0, constants_1.registerConstructor)('checkbox', fields_1.CheckboxField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('color', fields_1.ColorField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('date', fields_1.DateField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('datetime', datetimeField_1.DatetimeField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('email', fields_1.EmailField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('file', fields_1.FileField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('hidden', fields_1.HiddenField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('number', fields_1.NumberField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('password', fields_1.PasswordField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('radio', radioField_1.RadioField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('range', fields_1.RangeField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('select', fields_1.SelectField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('static', fields_1.StaticField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('tel', fields_1.TelField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('textarea', fields_1.TextareaField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('text', fields_1.TextField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('time', fields_1.TimeField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('url', fields_1.UrlField, constants_1.costructorTypes.field);
(0, constants_1.registerConstructor)('week', fields_1.WeekField, constants_1.costructorTypes.field);
const usePlugin = (settings) => {
    var _a;
    (0, constants_1.registerConstructor)(settings.type, settings.constructor, settings.constructorType, (_a = settings.licensed) !== null && _a !== void 0 ? _a : false);
};
exports.usePlugin = usePlugin;
var button_js_1 = require("./button.js");
Object.defineProperty(exports, "Button", { enumerable: true, get: function () { return button_js_1.Button; } });
var utils_js_1 = require("./utils.js");
Object.defineProperty(exports, "setLicenseKey", { enumerable: true, get: function () { return utils_js_1.setLicenseKey; } });
Object.defineProperty(exports, "mountElement", { enumerable: true, get: function () { return utils_js_1.mountElement; } });
Object.defineProperty(exports, "unmountElement", { enumerable: true, get: function () { return utils_js_1.unmountElement; } });
Object.defineProperty(exports, "extractFieldsFromSchema", { enumerable: true, get: function () { return utils_js_1.extractFieldsFromSchema; } });
Object.defineProperty(exports, "useLicensedFetures", { enumerable: true, get: function () { return utils_js_1.useLicensedFetures; } });
Object.defineProperty(exports, "generateFieldSaveKey", { enumerable: true, get: function () { return utils_js_1.generateFieldSaveKey; } });
var field_js_1 = require("./field.js");
Object.defineProperty(exports, "Field", { enumerable: true, get: function () { return field_js_1.Field; } });
var constants_js_1 = require("./constants.js");
Object.defineProperty(exports, "fields", { enumerable: true, get: function () { return constants_js_1.fields; } });
Object.defineProperty(exports, "buttons", { enumerable: true, get: function () { return constants_js_1.buttons; } });
Object.defineProperty(exports, "groups", { enumerable: true, get: function () { return constants_js_1.groups; } });
Object.defineProperty(exports, "costructorTypes", { enumerable: true, get: function () { return constants_js_1.costructorTypes; } });
