import Form from '../form.js';
import { FieldOptions } from '../interfaces.js';
import { FieldValue } from '../types.js';
export declare class HiddenField {
    options: FieldOptions;
    inputElement: HTMLElement | null;
    containerElement: HTMLElement | null;
    labelElement: HTMLElement | null;
    validationElement: HTMLElement | null;
    private _id;
    private _parent;
    private _form;
    private _saveKey;
    private _value;
    private _type;
    constructor(parent: HTMLElement, form: Form, options: FieldOptions);
    initializeOptions(options: FieldOptions): void;
    initialize(): Promise<void>;
    setValue(value: FieldValue, save?: boolean): void;
    getValue(): FieldValue;
    syncValue(): void;
    mountToParent(): void;
    createContainerElement(): void;
    createInputElement(): void;
    getId(): string;
    getSaveKey(): string;
    getType(): string;
    getForm(): Form;
    onGui(): void;
    destroy(): void;
    save(): void;
    load(): void;
    reset(): Promise<void>;
    update(): Promise<void>;
}
