import { Field } from '../field.js';
export class TelField extends Field {
    constructor(parent, form, options) {
        super(parent, form, options);
        this.options = {
            id: '',
            type: 'tel',
            required: false,
            validation: (value, data, required) => {
                if (required && !value)
                    return 'This field is required';
                if (value && typeof value === 'string' && !value.match(this._telFormat))
                    return 'Not a valid telephone number.';
                return true;
            },
            default: null,
            className: 'form-input',
        };
        this._telFormat = /^\+[1-9]\d{1,14}$/;
        this.initializeOptions(options);
        this.onGui();
        this.initialize();
    }
}
