import Form from './form.js';
import { GroupOptions } from './interfaces.js';
export declare class Group {
    options: GroupOptions;
    containerElement: HTMLElement | null;
    schemaContainerElement: HTMLElement | null;
    labelElement: HTMLElement | null;
    private _id;
    private _parent;
    private _form;
    private _isMounted;
    private _isVisible;
    private _type;
    constructor(parent: HTMLElement, form: Form, options: GroupOptions);
    initializeOptions(options: GroupOptions): void;
    initialize(): Promise<void>;
    getId(): string;
    getContainer(): HTMLElement | null;
    getSchemaContainer(): HTMLElement | null;
    getType(): string;
    getVisibility(): boolean;
    createContainerElement(): void;
    createSchemaContainerElement(): void;
    createLabelElement(): void;
    onGui(): void;
    private mount;
    private unmount;
    destroy(): void;
    handleVisibility(): void;
    reset(): Promise<void>;
    update(): Promise<void>;
    private updateVisibilityBasedOnConditions;
}
